LibOFX: OfxAccountContainer Class Reference

LibOFX

Public Member Functions | Data Fields
OfxAccountContainer Class Reference

Represents a bank account or a credit card account. More...

Inheritance diagram for OfxAccountContainer:

## Public Member Functions
| OfxAccountContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
int | add_to_main_tree ()
| Add this container to the main tree. More...
virtual int | gen_event ()
| Generate libofx.h events. More...
| OfxAccountContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object. More...
int | add_to_main_tree ()
| Add this container to the main tree. More...
virtual int | gen_event ()
| Generate libofx.h events. More...
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Data Fields
OfxAccountData | data
Data Fields inherited from OfxGenericContainer
string | type
string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

Represents a bank account or a credit card account.

Can be built from either a <BANKACCTFROM> or <CCACCTFROM> OFX SGML entity

Definition at line 157 of file ofx_containers.hh.

## Member Function Documentation

## ◆ add_attribute() [1/2]

void OfxAccountContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 75 of file ofx_container_account.cpp.

## ◆ add_attribute() [2/2]

void OfxAccountContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

## ◆ add_to_main_tree() [1/2]

int OfxAccountContainer::add_to_main_tree | ( |  | ) |
| virtual

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

## ◆ add_to_main_tree() [2/2]

int OfxAccountContainer::add_to_main_tree | ( |  | ) |
| virtual

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 147 of file ofx_container_account.cpp.

## ◆ gen_event() [1/2]

int OfxAccountContainer::gen_event | ( |  | ) |
| virtual

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 141 of file ofx_container_account.cpp.

## ◆ gen_event() [2/2]

virtual int OfxAccountContainer::gen_event | ( |  | ) |
| virtual

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_container_account.cpp